WP 2.9 kräver ett litet hack för Simple Tags plugin

WordPress
Postad: 20.12.2009 | Arkiverat · Wordpress

I och med den sista versionen av WordPress slutade en del plugin att fungera som de ska. Simple Tags är ett sådant plugin. Du får ett felmeddelande i administrationspanelen som säger att det finns ett databasfel.

Men det går lätt att fixa så pluginet fungerar igen. Fram till att Simple Tags blir kompatibelt med wp 2.9 går det att åtgärda. Börja med att öppna upp själva filen till ditt plugin (edit), leta dig sedan ned till följande kod – den ligger nästan högst upp:

if ( strpos($wp_version, '2.7') !== false || strpos($wp_version, '2.8') !== false) {

Byt helt sonika ut ovanstående kod till denna här under – beakta att det är den första delen av kodsträngen du ska byta ut.

if ( strpos($wp_version, '2.7') !== false || strpos($wp_version, '2.8') !== false || strpos($wp_version, '2.9') !== false ) {

Kontrollera så du inte också råkade radera slutet av koden, det vill säga denna:

require(dirname(__FILE__).'/2.7/simple-tags.client.php');

Nu fungerar Simple Tags igen =)